Subject: Re: [net] e1000e: keep VLAN interfaces functional after rxvlan off

From: Jarod Wilson <[email-masked]>
Date: Wed, 29 Jun 2016 17:42:57 -0400

David Miller wrote:
> From: Jeff Kirsher<[email-masked]>
> Date: Tue, 28 Jun 2016 20:41:31 -0700
>
>> From: Jarod Wilson<[email-masked]>
>>
>> I've got a bug report about an e1000e interface, where a VLAN interface is
>> set up on top of it:
>>
>> $ ip link add link ens1f0 name ens1f0.99 type vlan id 99
>> $ ip link set ens1f0 up
>> $ ip link set ens1f0.99 up
>> $ ip addr add 192.168.99.92 dev ens1f0.99
>>
>> At this point, I can ping another host on vlan 99, ip 192.168.99.91.
>> However, if I do the following:
>>
>> $ ethtool -K ens1f0 rxvlan off
>>
>> Then no traffic passes on ens1f0.99. It comes back if I toggle rxvlan on
>> again. I'm not sure if this is actually intended behavior, or if there's a
>> lack of software VLAN stripping fallback, or what, but things continue to
>> work if I simply don't call e1000e_vlan_strip_disable() if there are
>> active VLANs (plagiarizing a function from the e1000 driver here) on the
>> interface.
>>
>> Also slipped a related-ish fix to the kerneldoc text for
>> e1000e_vlan_strip_disable here...
>>
>> Signed-off-by: Jarod Wilson<[email-masked]>
>> Tested-by: Aaron Brown<[email-masked]>
>> Signed-off-by: Jeff Kirsher<[email-masked]>
>
> Applied, thanks.

Hm.. There was actually a v2 patch that followed this one that fixed the 
problem slightly differently and slightly better, I think.

http://marc.info/?l=intel-wired-lan&m=146551652424417&w=2

-- 
Jarod Wilson
[email-masked]